"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Sensor = void 0;
var utils_1 = require("../utils");
var Sensor = /** @class */ (function () {
    function Sensor(devAddr, mcuId) {
        this.devAddr = undefined;
        this.mcuId = undefined;
        this.lastValue = 0.0;
        if (devAddr)
            this.devAddr = devAddr;
        if (mcuId)
            this.mcuId = mcuId;
    }
    Sensor.prototype.getValueBasedOnPrevious = function (minStarter, max, interval, round) {
        if (round === void 0) { round = true; }
        var result;
        if (!this.lastValue) {
            do
                result = (0, utils_1.randomNumberInRange)(this.lastValue, max, round);
            while (result < minStarter);
        }
        else
            result = (0, utils_1.randomNumberInRange)(this.lastValue - interval, this.lastValue + interval, round);
        return result;
    };
    Sensor.prototype.setDevAddr = function (devAddr) {
        this.devAddr = devAddr;
    };
    Sensor.prototype.setMcuId = function (mcuId) {
        this.mcuId = mcuId;
    };
    Sensor.prototype.getDevAddr = function () {
        return this.devAddr;
    };
    Sensor.prototype.getMcuId = function () {
        return this.mcuId;
    };
    return Sensor;
}());
exports.Sensor = Sensor;
